import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range(['#d90b0b', '#f7f307']);

const radiusScale = scaleOrdinal().domain(['apple', 'lemon']).range([50, 30]);

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;

  const groups = selection.selectAll('g').data(fruits ,d => d.id); //data join
  const groupsEnter = groups.enter().append('g');
  
  groupsEnter.merge(groups)
    	.attr('transform', (d, i) => `translate(${i * 120 + 60},${height / 2})`)
  	
  groups.exit().remove();

  groupsEnter.append('circle')
    .merge(groups.select('circle'))
  	.transition().duration(1000)
   	 	.attr('fill', (d) => colorScale(d.type))
    	.attr('r', (d) => radiusScale(d.type))
  	

  groupsEnter.append('text')
    .merge(groups.select('text'))
  	.transition().duration(1000)
    	.text((d) => d.type)
    	.attr('y', 70);
};
